Mark Wire Transfer Invoice As Paid (Manual)
Invoice
Mark Wire Transfer Invoice As Paid (Manual)
Manually mark a pending wire transfer invoice as paid and trigger invoice paid flow. Only supports wire transfer invoices that have been paid offline.
POST
Mark Wire Transfer Invoice As Paid (Manual)
Endpoint Overview
POSThttps://api.unibee.dev/merchant/invoice/mark_wire_transfer_success
Manually mark a pending wire transfer invoice as paid and trigger invoice paid flow. Only supports wire transfer invoices that have been paid offline.
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
invoiceId | string | Yes | The unique id of invoice |
reason | string | No | The reason of mark action |
transferNumber | string | Yes | The transfer number of invoice |
Request examples
cURL
Sandbox
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Manually mark a pending wire transfer invoice as paid and trigger invoice paid flow. Only supports wire transfer invoices that have been paid offline.

